# TSMonitorSolution

Monitors progress of the TS solvers by calling VecView() for the solution at each timestep

### Synopsis

    #include "petscts.h"
    PetscErrorCode PETSCTS_DLLEXPORT TSMonitorSolution(TS ts,PetscInt step,PetscReal ptime,Vec x,void *dummy)

Collective on TS

### Input Parameters

| ts | - the TS context
| step | - current time-step
| ptime | - current time
| dummy | - either a viewer or PETSC_NULL

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView()

Level:intermediate
Location: src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages